Bug 1311852 - [abrt] firefox: mozalloc_abort(): plugin-container killed by SIGSEGV
[abrt] firefox: mozalloc_abort(): plugin-container killed by SIGSEGV
Status: NEW
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:169169904300284699a89cf9d82...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 03:28 EST by Han Han
Modified: 2017-11-16 09:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.64 KB, text/plain)
2016-02-25 03:29 EST, Han Han
no flags Details
File: cgroup (148 bytes, text/plain)
2016-02-25 03:29 EST, Han Han
no flags Details
File: core_backtrace (14.03 KB, text/plain)
2016-02-25 03:29 EST, Han Han
no flags Details
File: dso_list (12.49 KB, text/plain)
2016-02-25 03:29 EST, Han Han
no flags Details
File: environ (1.75 KB, text/plain)
2016-02-25 03:29 EST, Han Han
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-25 03:29 EST, Han Han
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-25 03:29 EST, Han Han
no flags Details
File: maps (62.50 KB, text/plain)
2016-02-25 03:29 EST, Han Han
no flags Details
File: mountinfo (3.45 KB, text/plain)
2016-02-25 03:29 EST, Han Han
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-25 03:29 EST, Han Han
no flags Details
File: open_fds (1018 bytes, text/plain)
2016-02-25 03:29 EST, Han Han
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-02-25 03:29 EST, Han Han
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-25 03:29 EST, Han Han
no flags Details

  None (edit)
Description Han Han 2016-02-25 03:28:51 EST
Description of problem:
Firefox crash when run RHEVM.

Version-Release number of selected component:
firefox-44.0.2-3.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 3
cmdline:        /usr/lib64/firefox/plugin-container /usr/lib64/flash-plugin/libflashplayer.so -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 7504 plugin
crash_function: mozalloc_abort
executable:     /usr/lib64/firefox/plugin-container
global_pid:     7661
kernel:         4.5.0-0.rc5.git0.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 mozalloc_abort at /usr/src/debug/firefox-44.0.2/firefox-44.0.2/memory/mozalloc/mozalloc_abort.cpp:33
 #1 Abort at /usr/src/debug/firefox-44.0.2/firefox-44.0.2/xpcom/base/nsDebugImpl.cpp:451
 #2 NS_DebugBreak at /usr/src/debug/firefox-44.0.2/firefox-44.0.2/xpcom/base/nsDebugImpl.cpp:438
 #3 mozilla::ipc::MessageChannel::OnChannelErrorFromLink at /usr/src/debug/firefox-44.0.2/firefox-44.0.2/ipc/glue/MessageChannel.cpp:1768
 #4 mozilla::ipc::ProcessLink::OnChannelError at /usr/src/debug/firefox-44.0.2/firefox-44.0.2/ipc/glue/MessageLink.cpp:429
 #5 event_process_active_single_queue at /usr/src/debug/firefox-44.0.2/firefox-44.0.2/ipc/chromium/src/third_party/libevent/event.c:1350
 #6 event_process_active at /usr/src/debug/firefox-44.0.2/firefox-44.0.2/ipc/chromium/src/third_party/libevent/event.c:1420
 #7 event_base_loop at /usr/src/debug/firefox-44.0.2/firefox-44.0.2/ipc/chromium/src/third_party/libevent/event.c:1621
 #8 base::MessagePumpLibevent::Run at /usr/src/debug/firefox-44.0.2/firefox-44.0.2/ipc/chromium/src/base/message_pump_libevent.cc:370
 #9 MessageLoop::RunHandler at /usr/src/debug/firefox-44.0.2/firefox-44.0.2/ipc/chromium/src/base/message_loop.cc:227

Potential duplicate: bug 1113927
Comment 1 Han Han 2016-02-25 03:29:02 EST
Created attachment 1130435 [details]
File: backtrace
Comment 2 Han Han 2016-02-25 03:29:06 EST
Created attachment 1130436 [details]
File: cgroup
Comment 3 Han Han 2016-02-25 03:29:10 EST
Created attachment 1130437 [details]
File: core_backtrace
Comment 4 Han Han 2016-02-25 03:29:13 EST
Created attachment 1130438 [details]
File: dso_list
Comment 5 Han Han 2016-02-25 03:29:17 EST
Created attachment 1130439 [details]
File: environ
Comment 6 Han Han 2016-02-25 03:29:20 EST
Created attachment 1130440 [details]
File: exploitable
Comment 7 Han Han 2016-02-25 03:29:23 EST
Created attachment 1130441 [details]
File: limits
Comment 8 Han Han 2016-02-25 03:29:29 EST
Created attachment 1130442 [details]
File: maps
Comment 9 Han Han 2016-02-25 03:29:32 EST
Created attachment 1130443 [details]
File: mountinfo
Comment 10 Han Han 2016-02-25 03:29:35 EST
Created attachment 1130444 [details]
File: namespaces
Comment 11 Han Han 2016-02-25 03:29:39 EST
Created attachment 1130445 [details]
File: open_fds
Comment 12 Han Han 2016-02-25 03:29:42 EST
Created attachment 1130446 [details]
File: proc_pid_status
Comment 13 Han Han 2016-02-25 03:29:45 EST
Created attachment 1130447 [details]
File: var_log_messages
Comment 14 Jan Kurik 2016-07-26 00:18:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 15 Dominique Brazziel 2017-01-05 10:34:22 EST
I've been getting these sporadically on F25 and the latest firefox:

Jan 04 08:52:49 delldm51 kernel: traps: plugin-containe[3694] general protection ip:7fb325401e9f sp:7ffe53529540 error:0 in libflashplayer.so[7fb324d8e000+107a000]

After it happened 3 occurrences in quick succession abrt-server blacklisted '/usr/lib64/firefox/plugin-container'.  I'll see if I can generate a fresh dump by removing the 'Blacklist' statement in the abrt config.
Comment 16 Fedora End Of Life 2017-11-16 09:21:26 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.